Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.event.knowledgeagent
Class AfterChangeSetProcessedEvent

    java.lang.Object
      java.util.EventObject
          org.drools.event.knowledgeagent.ChangeSetProcessingEvent
              org.drools.event.knowledgeagent.AfterChangeSetProcessedEvent

All Implemented Interfaces:
  Serializable

    public class AfterChangeSetProcessedEvent

extends ChangeSetProcessingEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AfterChangeSetProcessedEvent(ChangeSet changeSet, List<Resource> addedResources, Map<Resource,Set<KnowledgeDefinition>> modifiedResourceMappings, Map<Resource,Set<KnowledgeDefinition>> removedResourceMappings)`

Method Summary
`List<Resource>` | `getAddedResources()`
`Map<Resource,Set<KnowledgeDefinition>>` | `getModifiedResourceMappings()`
`Map<Resource,Set<KnowledgeDefinition>>` | `getRemovedResourceMappings()`
`static long` | `getSerialVersionUID()`
`String` | `toString()`

Methods inherited from class org.drools.event.knowledgeagent.ChangeSetProcessingEvent
`getChangeSet`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AfterChangeSetProcessedEvent

    public AfterChangeSetProcessedEvent(ChangeSet changeSet,
                                        List<Resource> addedResources,
                                        Map<Resource,Set<KnowledgeDefinition>> modifiedResourceMappings,
                                        Map<Resource,Set<KnowledgeDefinition>> removedResourceMappings)

Method Detail

### getAddedResources

    public List<Resource> getAddedResources()

### getModifiedResourceMappings

    public Map<Resource,Set<KnowledgeDefinition>> getModifiedResourceMappings()

### getRemovedResourceMappings

    public Map<Resource,Set<KnowledgeDefinition>> getRemovedResourceMappings()

### getSerialVersionUID

    public static long getSerialVersionUID()

### toString

    public String toString()

  Overrides:
    `toString` in class `ChangeSetProcessingEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.